KPL/FK

HAYABUSA Spacecraft Frames Definition Kernel
===========================================================================

   This frame kernel contains a set of frame definitions for the 
   Hayabusa spacecraft.
   

Version and Date
---------------------------------------------------------------------------

   Version 1.0 -- Sep. 19, 2005 -- Naru Hirata, Aizu Univ.


HAYABUSA NAIF IDs
---------------------------------------------------------------------------

   The following names and NAIF ID codes are assigned to the Hayabusa 
   spacecraft, its structures, science instruments and related dynamic
   frames:

         NAME                                  NAIF ID
      ------------------------------------------------
       HAYABUSA                                   -130
       HAYABUSA_SC_BUS                         -130000

       HAYABUSA_AMICA                          -1301xx
       HAYABUSA_NIRS                           -1302xx
       HAYABUSA_LIDAR	                       -1303xx
       HAYABUSA_XRS                            -1304xx

       HAYABUSA specific frames                -1309xx
       HAYABUSA_HP_FRAME                       -130900
       ITOKAWA_-Z_SUN_+X                       -130910
       EARTH_ITOKAWA_P                         -130920

	   
     \begindata

	 FRAME_HAYABUSA_SC_BUS     = -130000
	 FRAME_-130000_NAME        = 'HAYABUSA_SC_BUS'
	 FRAME_-130000_CLASS       = 3
	 FRAME_-130000_CLASS_ID    = -130000
	 FRAME_-130000_CENTER      = -130
	 CK_-130000_SCLK           = -130
	 CK_-130000_SPK            = -130

	 FRAME_HAYABUSA_HP            = -130900
	 FRAME_-130900_NAME           = 'HAYABUSA_HP'
	 FRAME_-130900_CLASS          = 5
	 FRAME_-130900_CLASS_ID       = -130900
	 FRAME_-130900_CENTER         = 2025143
	 FRAME_-130900_RELATIVE       = 'J2000'
	 FRAME_-130900_DEF_STYLE      = 'PARAMETERIZED'
	 FRAME_-130900_FAMILY         = 'TWO-VECTOR'
	 FRAME_-130900_PRI_AXIS       = 'Z'
	 FRAME_-130900_PRI_VECTOR_DEF = 'OBSERVER_TARGET_POSITION'
	 FRAME_-130900_PRI_OBSERVER   = 2025143
	 FRAME_-130900_PRI_TARGET     = 'EARTH'
	 FRAME_-130900_PRI_ABCORR     = 'NONE'
	 FRAME_-130900_SEC_VECTOR_DEF = 'OBSERVER_TARGET_POSITION'
	 FRAME_-130900_SEC_OBSERVER   = 2025143
	 FRAME_-130900_SEC_TARGET     = 'SUN'
	 FRAME_-130900_SEC_AXIS       = 'X'
	 FRAME_-130900_SEC_ABCORR     = 'NONE'

	 FRAME_ITOKAWA_-Z_SUN_+X      = -130910
	 FRAME_-130910_NAME           = 'ITOKAWA_-Z_SUN_+X'
	 FRAME_-130910_CLASS          = 5
	 FRAME_-130910_CLASS_ID       = -130910
	 FRAME_-130910_CENTER         = -130
	 FRAME_-130910_RELATIVE       = 'J2000'
	 FRAME_-130910_DEF_STYLE      = 'PARAMETERIZED'
	 FRAME_-130910_FAMILY         = 'TWO-VECTOR'
	 FRAME_-130910_PRI_AXIS       = '-Z'
	 FRAME_-130910_PRI_VECTOR_DEF = 'OBSERVER_TARGET_POSITION'
	 FRAME_-130910_PRI_OBSERVER   = -130
	 FRAME_-130910_PRI_TARGET     = 2025143
	 FRAME_-130910_PRI_ABCORR     = 'NONE'
	 FRAME_-130910_SEC_VECTOR_DEF = 'OBSERVER_TARGET_POSITION'
	 FRAME_-130910_SEC_OBSERVER   = -130
	 FRAME_-130910_SEC_TARGET     = 'SUN'
	 FRAME_-130910_SEC_AXIS       = 'X'
	 FRAME_-130910_SEC_ABCORR     = 'NONE'

	 FRAME_EARTH_ITOKAWA_P        = -130920
	 FRAME_-130920_NAME           = 'EARTH_ITOKAWA_P'
	 FRAME_-130920_CLASS          = 5
	 FRAME_-130920_CLASS_ID       = -130920
	 FRAME_-130920_CENTER         = 399
	 FRAME_-130920_RELATIVE       = 'J2000'
	 FRAME_-130920_DEF_STYLE      = 'PARAMETERIZED'
	 FRAME_-130920_FAMILY         = 'TWO-VECTOR'
	 FRAME_-130920_PRI_AXIS       = 'Z'
	 FRAME_-130920_PRI_VECTOR_DEF = 'OBSERVER_TARGET_POSITION'
	 FRAME_-130920_PRI_OBSERVER   = 'EARTH'
	 FRAME_-130920_PRI_TARGET     = 2025143
	 FRAME_-130920_PRI_ABCORR     = 'NONE'
	 FRAME_-130920_SEC_VECTOR_DEF = 'OBSERVER_TARGET_POSITION'
	 FRAME_-130920_SEC_OBSERVER   = 'EARTH'
	 FRAME_-130920_SEC_TARGET     = 'SUN'
	 FRAME_-130920_SEC_AXIS       = 'Y'
	 FRAME_-130920_SEC_ABCORR     = 'NONE'

     \begintext
